net.minecraft.network.play.server

## Class S29PacketSoundEffect

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S29PacketSoundEffect

-     public class S29PacketSoundEffect
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S29PacketSoundEffect()`
    `S29PacketSoundEffect(java.lang.String p_i45200_1_, double p_i45200_2_, double p_i45200_4_, double p_i45200_6_, float p_i45200_8_, float p_i45200_9_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `func_149207_d()`
    `float` | `func_149208_g()`
    `float` | `func_149209_h()`
    `double` | `func_149210_f()`
    `double` | `func_149211_e()`
    `java.lang.String` | `func_149212_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149213_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S29PacketSoundEffect

          public S29PacketSoundEffect()

    - #### S29PacketSoundEffect

          public S29PacketSoundEffect(java.lang.String p_i45200_1_,
                              double p_i45200_2_,
                              double p_i45200_4_,
                              double p_i45200_6_,
                              float p_i45200_8_,
                              float p_i45200_9_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### func_149212_c

          public java.lang.String func_149212_c()

    - #### func_149207_d

          public double func_149207_d()

    - #### func_149211_e

          public double func_149211_e()

    - #### func_149210_f

          public double func_149210_f()

    - #### func_149208_g

          public float func_149208_g()

    - #### func_149209_h

          public float func_149209_h()

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149213_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`